%define _name wopdata
%define _version 2005-12-21

Name: wop-data
Version: 20051221
Release: alt2

Summary: Worms of Prey is a cross-platform Worms clone.
License: GPL
Group: Games/Arcade
Packager: Alexey Rusakov <ktirf@altlinux.org>

Url: http://wormsofprey.org
Source: http://wormsofprey.org/download/%_name-%_version.tar.bz2

BuildArch: noarch

Requires: wop

%description
Worms of Prey is a multi-player, real-time Worms clone for Linux and
Windows similar to Liero, NiL, or Wurmz. You control a little worm and try
to score as many frags as possible by shooting other worms or scoring
goals.

This package contains data (images, music etc.) necessary to run Worms of
Prey.

%description -l ru_RU.UTF8
Wörms of Prey - это игра, похожая на знаменитых Червяков (Worms) для ОС
Windows. В отличие от оригинала, в WOP действие разворачивается в реальном
времени. В этом WOP похожа на других "клонов" Worms, таких как Liero, NiL
или Wurmz. Суть игры состоит в том, что вы управляете маленьким червяком
и пытаетесь получить как можно больше очков, убивая других червяков или
выполняя задания.

В этом пакете находятся данные для игры: картинки, музыка и т.д.

%prep
%setup -q -n %_name-%_version

%install
mkdir -p %buildroot%_gamesdatadir/wop/data
cp -r * %buildroot%_gamesdatadir/wop/data/
install -pD -m644 images/gui/wop32.png %buildroot/%_niconsdir/wop32.png
mkdir -p %buildroot%_sysconfdir
cat <<EOF >%buildroot%_sysconfdir/woprc
data = %_gamesdatadir/wop/data
EOF

%files
%_gamesdatadir/wop
%_niconsdir/wop32.png
%config %_sysconfdir/woprc

%changelog
* Sat Aug 22 2009 Alexey Rusakov <ktirf@altlinux.org> 20051221-alt2
- The package is noarch from now on.
- Spec cleanup:
  + removed %%__ macros
  + moved an icon off deprecated places
  + added Packager tag

* Sat Jul 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 20051221-alt1
- new version 20051221 (with rpmrb script)

* Mon Oct 24 2005 Alexey Rusakov <ktirf@altlinux.ru> 20050513-alt1
- Initial Sisyphus package.

